 #! /bin/bash
 # Written by Islam Alshaikh for Renaming Arabic Worlds To English 
 # كتب بواسطة إسلام الشيخ لتحويل الحروف العربية لإنجليزية
function ar2en()
{
declare -i C=$#*10 #عدد تكرار الحرف في الكلمة الواحدة
declare -i i=1
declare -i isArabic=0
T=$*
R=$T
 while [ $i -lt $C ]
 do
a="١"  && e="1"  && T=${T/$a/$e}
a="٢"  && e="2"  && T=${T/$a/$e}
a="٣"  && e="3"  && T=${T/$a/$e}
a="٤"  && e="4"  && T=${T/$a/$e}
a="٥"  && e="5"  && T=${T/$a/$e}
a="٦"  && e="6"  && T=${T/$a/$e}
a="٧"  && e="7"  && T=${T/$a/$e}
a="٨"  && e="8"  && T=${T/$a/$e}
a="٩"  && e="9"  && T=${T/$a/$e}
a="٠"  && e="0"  && T=${T/$a/$e}
a="ا"  && e="a"  && T=${T/$a/$e}
a="ب"  && e="b"  && T=${T/$a/$e}
a="ج"  && e="j"  && T=${T/$a/$e}
a="د"  && e="d"  && T=${T/$a/$e}
a="ه"  && e="h"  && T=${T/$a/$e}
a="و"  && e="o"  && T=${T/$a/$e}
a="ز"  && e="z"  && T=${T/$a/$e}
a="ح"  && e="h"  && T=${T/$a/$e}
a="ط"  && e="t"  && T=${T/$a/$e}
a="ي"  && e="i"  && T=${T/$a/$e}
a="ك"  && e="k"  && T=${T/$a/$e}
a="ل"  && e="l"  && T=${T/$a/$e}
a="م"  && e="m"  && T=${T/$a/$e}
a="ن"  && e="n"  && T=${T/$a/$e}
a="س"  && e="s"  && T=${T/$a/$e}
a="ع"  && e="'a"  && T=${T/$a/$e}
a="ف"  && e="f"  && T=${T/$a/$e}
a="ص"  && e="s"  && T=${T/$a/$e}
a="ق"  && e="q"  && T=${T/$a/$e}
a="ر"  && e="r"  && T=${T/$a/$e}
a="ش"  && e="sh"  && T=${T/$a/$e}
a="ت"  && e="t"  && T=${T/$a/$e}
a="ث"  && e="th"  && T=${T/$a/$e}
a="خ"  && e="kh"  && T=${T/$a/$e}
a="ذ"  && e="d"  && T=${T/$a/$e}
a="ض"  && e="dh"  && T=${T/$a/$e}
a="ظ"  && e="dh"  && T=${T/$a/$e}
a="غ"  && e="gh"  && T=${T/$a/$e}
a="إ"  && e="i"  && T=${T/$a/$e}
a="أ"  && e="a"  && T=${T/$a/$e}
a="ء"  && e="'"  && T=${T/$a/$e}
a="ئ"  && e="'"  && T=${T/$a/$e}
a="ؤ"  && e="'o"  && T=${T/$a/$e}
a="ة"  && e="ht"  && T=${T/$a/$e}
a="آ"  && e="a"  && T=${T/$a/$e}
a="ى"  && e="a"  && T=${T/$a/$e}
a="ُ"  && e="w"  && T=${T/$a/$e}
a="ـ"  && e=""  && T=${T/$a/$e}
a="ً"  && e="an"  && T=${T/$a/$e}
a="ٍ"  && e="en"  && T=${T/$a/$e}
a="ٌ"  && e="un"  && T=${T/$a/$e}
#a=""  && e=""  && T=${T/$a/$e}
i=$i+1
done

if [ "$R" != "$T" ] ; then
isArabic=1
T=" "$T

#لتنسيق الـ ال
StartCh=(" " "Al")
C=${#StartCh[*]}
i=0
while [ $i -lt  $C ]
 do
Ch=${StartCh[$i]}
a=$Ch"a"  && e=$Ch"A"  && T=${T//$a/$e}
a=$Ch"b"  && e=$Ch"B"  && T=${T//$a/$e}
a=$Ch"c"  && e=$Ch"C"  && T=${T//$a/$e}
a=$Ch"d"  && e=$Ch"D"  && T=${T//$a/$e}
a=$Ch"e"  && e=$Ch"E"  && T=${T//$a/$e}
a=$Ch"f"  && e=$Ch"F"  && T=${T//$a/$e}
a=$Ch"g"  && e=$Ch"G"  && T=${T//$a/$e}
a=$Ch"h"  && e=$Ch"H"  && T=${T//$a/$e}
a=$Ch"i"  && e=$Ch"Y"  && T=${T//$a/$e} #ي
a=$Ch"j"  && e=$Ch"J"  && T=${T//$a/$e}
a=$Ch"k"  && e=$Ch"K"  && T=${T//$a/$e}
a=$Ch"l"  && e=$Ch"L"  && T=${T//$a/$e}
a=$Ch"m"  && e=$Ch"M"  && T=${T//$a/$e}
a=$Ch"n"  && e=$Ch"N"  && T=${T//$a/$e}
a=$Ch"o"  && e=$Ch"O"  && T=${T//$a/$e}
a=$Ch"p"  && e=$Ch"P"  && T=${T//$a/$e}
a=$Ch"q"  && e=$Ch"Q"  && T=${T//$a/$e}
a=$Ch"r"  && e=$Ch"R"  && T=${T//$a/$e}
a=$Ch"s"  && e=$Ch"S"  && T=${T//$a/$e}
a=$Ch"t"  && e=$Ch"T"  && T=${T//$a/$e}
a=$Ch"u"  && e=$Ch"U"  && T=${T//$a/$e}
a=$Ch"v"  && e=$Ch"V"  && T=${T//$a/$e}
a=$Ch"w"  && e=$Ch"W"  && T=${T//$a/$e}
a=$Ch"x"  && e=$Ch"X"  && T=${T//$a/$e}
a=$Ch"y"  && e=$Ch"Y"  && T=${T//$a/$e}
a=$Ch"z"  && e=$Ch"Z"  && T=${T//$a/$e}

#a=$Ch""  && e=$Ch""  && T=${T//$a/$e}

i=$i+1

done
#تعديل بعض الكلمات
#set -x
a="AlLh"  && e="Allh"  && T=${T//$a/$e}
#R=${T/" "/""}
fi
#return $isArabic
#$T به الكلمة الإنجليزية

}
